# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Unicode-Map8
Version:	0.13
Release:	2.%{__distinit}%{__distvers}
Summary:	Mapping table between 8-bit chars and Unicode for Perl
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Unicode-Map8/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Unicode-Map8-%{version}.tar.gz
Patch0:		Unicode-Map8-0.12-declaration.diff
Patch1:		Unicode-Map8-0.12-type.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Unicode::String)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The Unicode::Map8 class implements efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode.  About
170 different mapping tables between various known character sets and
Unicode is distributed with this package.  The source of these tables
is the vendor mapping tables provided by Unicode, Inc. and the code
tables in RFC 1345.  New maps can easily be installed.

%prep
%setup -q -n Unicode-Map8-%{version}
%patch0 -p0
%patch1 -p0
for f in Changes README; do
	/usr/bin/iconv -f iso-8859-1 -t utf8 < ${f} > ${f}.utf8
	%{__mv} ${f}.utf8 ${f}
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/umap
%{perl_vendorarch}/auto/Unicode/
%{perl_vendorarch}/Unicode/
%{_mandir}/man1/umap.1*
%{_mandir}/man3/Unicode::Map8.3pm*

%changelog
* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 0.13-2
- Fix dist tag for RHEL-6 Beta

* Tue Jan 19 2010 Paul Howarth <paul@city-fan.org> 0.13-1
- Update to 0.13 (tweak for compatibility with Strawberry Perl - CPAN RT#50443)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 0.12-11
- Use %%{?perl_default_filter} for provides filter

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> 0.12-10
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> 0.12-9
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Re-encode Changes and README as UTF8
- More specific %%files list
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> 0.12-8
- Fix dist tag for Fedora 7 onwards
- Add buildreq perl(ExtUtils::MakeMaker)

* Wed Oct 25 2006 Paul Howarth <paul@city-fan.org> 0.12-7
- Apply patches from openSUSE to fix test suite on x86_64
- Fix argument order of find with -depth
- Fix dist tag for development releases

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 0.12-6
- Disregard distribution sub-release number in dist tag
- Define %%{__id_u} in a more portable way

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> 0.12-5
- Import from Fedora Extras
- Use search.cpan.org URL for source
- Tidy up

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.2
- Regenerate %%install section with cpanflute2.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.12-1.fedora.1
- First Fedora release.
